#include "./BPM.h"
#include "../Static.h"

void
doBPM(Args& args, Print& out)
{
  uint8_t newBPM(atoi(args[1].c_str()));
  Static<BPM>::instance()->setBPM(newBPM);
}

const std::vector<Command> _commands = {
  {"bpm", doBPM}
};

const std::vector<Command>&
BPM::commands() const
{
  return _commands;
}

STATIC_ALLOC(BPM);
STATIC_TASK(BPM);
